<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("CREATE TABLE `ufutx_s2_depoly_user` ( `id` INT NOT NULL AUTO_INCREMENT , `ename` VARCHAR(64) NOT NULL COMMENT '英文名称' , `cname` VARCHAR(64) NOT NULL COMMENT '中文名称' , `phone` VARCHAR(64) NOT NULL COMMENT '电话号码' , `token` VARCHAR(512) NULL COMMENT '登录票据' , `login_time` TIMESTAMP NULL COMMENT '登录时间' , `create_time` TIMESTAMP NULL , `update_time` TIMESTAMP NULL , PRIMARY KEY (`id`)) ENGINE = InnoDB CHARSET=utf8mb4 COLLATE utf8mb4_general_ci COMMENT = '部署工具用户表';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('table_depoly_user');
    }
};
